using System;

internal sealed class Delegate796 : MulticastDelegate
{
	public extern Type Invoke(object object_0);

	public static Type smethod_0(object object_0, Delegate796 delegate796_1)
	{
		return delegate796_1(object_0);
	}

	public extern Delegate796(object object_0, IntPtr intptr_0);

	static Delegate796()
	{
		Class10.smethod_13(typeof(Delegate796).TypeHandle);
	}

	internal static Delegate796 delegate796_0;
}
